Show / Hide Table of Contents

# AsyncEnableTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncEnableTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncEnableTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnEnableAsyncHandler() |
GetOnEnableAsyncHandler(CancellationToken) |
OnEnableAsync() |
OnEnableAsync(CancellationToken) |

### Methods

#### GetOnEnableAsyncHandler()

    public IAsyncOnEnableHandler GetOnEnableAsyncHandler()

##### Returns

IAsyncOnEnableHandler

#### GetOnEnableAsyncHandler(CancellationToken)

    public IAsyncOnEnableHandler GetOnEnableAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnEnableHandler

#### OnEnableAsync()

    public UniTask OnEnableAsync()

##### Returns

UniTask

#### OnEnableAsync(CancellationToken)

    public UniTask OnEnableAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>